pkgname=gnome-shell-extension-appindicator
pkgver=59
pkgrel=1
_commit=d7b76d6b9cc7bb27abbabf69c5ace8b5ca1db136
pkgdesc='AppIndicator/KStatusNotifierItem support for GNOME Shell'
url='https://github.com/ubuntu/gnome-shell-extension-appindicator'
arch=('any')
license=('GPL-2.0-or-later')
depends=('gnome-shell>=3.34')
makedepends=('meson' 'jq' 'git')
optdepends=(
  'libappindicator-gtk2: support GTK+2 applications'
  'libappindicator-gtk3: support GTK+3 applications'
)
source=("git+https://github.com/ubuntu/gnome-shell-extension-appindicator#commit=$_commit")
sha256sums=('SKIP')

build() {
  cd "${pkgname}"
  meson --prefix=/usr build/
  ninja -C build/
}

package() {
  cd "${pkgname}"
  DESTDIR="${pkgdir}" ninja -C build/ install
  # this file is generated at pkg install time
  rm "${pkgdir}/usr/share/glib-2.0/schemas/gschemas.compiled"
}
